GET
https://api.cryptohopper.com/v1/hopper/{id}/signal
Returns the active signallers the hopper is subscribed to, with the subscription config of each.
OAuth scope:
read About scopes
name and description are HTML-escaped. The values in config are strings; config is null when the subscription has no config. Not available for arbitrage, market maker, copy trading and AI bots.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/signal" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/signal', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/signal",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/signal');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Response
{
"data": {
"signals": [
{
"signal_id": "1234",
"plan_id": "0",
"name": "Example Signals",
"description": "Spot signals for the major USDT markets.",
"logo": "https://cdn.example.com/signallers/logo_1234.png",
"type": "signal",
"feature_image": "https://cdn.example.com/signallers/feature_1234.png",
"subscription_fee_currency": "USD",
"subscription_fee": "19.99",
"exchanges": "binance,kucoin",
"performance_pct": "12.40",
"rating": "4.5000",
"total_votes": "18",
"link": "https://www.cryptohopper.com/signaller?signaller_id=1234",
"config": {
"market_order": "1",
"buy_amount": "50",
"follow_sell_signals": "1"
}
}
]
}
}
| Field | Type | Description |
|---|---|---|
search_opts | array of object | |
date_from | string | |
date_to | string | |
entry_type | string | One of: error, info. |
sort_field | string | One of: entry_date, entry_type. |
sort_order | string | One of: asc, desc. |
page | integer | |
perPage | integer |